html {
  scroll-behavior: smooth;
  font-size: 16px;
}

input,
button,
textarea,
select,
table{
  font: inherit;
}

textarea{
  resize: vertical;
}

button,
label:has(input[type=checkbox]), 
label:has(input[type=radio]),
input[type=checkbox],
input[type=radio]{
  cursor: pointer;
}

img,
picture {
  max-width: 100%;
  display: block;
}

table{
  border-collapse: collapse;
  padding: 0;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

a{
  text-decoration: none;
  color: inherit;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  vertical-align: baseline;
  text-wrap: balance;
}

body {
  color: #333;
  word-break: keep-all;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  line-height: 1.5;
}

j-left{
  display: flex;
  flex-direction: row;
  box-sizing: border-box;
  align-items: stretch;
}

j-right{
  display: flex;
  flex-direction: row-reverse;
  box-sizing: border-box;
  align-items: stretch;
}

j-top{
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  align-items: stretch;
}

j-bottom{
  display: flex;
  flex-direction: column-reverse;
  box-sizing: border-box;
  align-items: stretch;
}

j-center{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  box-sizing: border-box;
}

j-vcenter{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  box-sizing: border-box;
}

j-flex1{
  flex: 1;
}

.img-fit{
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

.img-over-fit{
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.nowrap{
  white-space: nowrap;
}

.nodrag{
  user-select: none;
}

.img-drop-box.box-default{
  display: inline-flex;
  text-align: center;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  vertical-align: bottom;
  overflow: clip;
}

.img-drop-box.dragover{
  border-color: #4caf50;
  background: rgba(0, 0, 0, 0.05);
}

.acrylic-border.ready{
  transform: translateY(20px);
  opacity: 0;
}

.acrylic-border{
  border-radius: 1.5rem;
  border: 2px solid rgba(255, 255, 255, 0.8);
  background: rgba(255, 255, 255, 0.2);
  box-shadow: 0.1rem 0.2rem 0.5rem 0.5rem rgba(0, 0, 0, 0.2);
  backdrop-filter: blur(10px);
  padding: 1rem;
  transition: transform 0.9s ease, opacity 1s ease;
  max-width: 100%;
}
.acrylic-border > *{
  background: white;
}

.acrylic-border:not(.modal-content) > *{
  padding: 1rem;
}

.acrylic-border > *:first-child{
  border-top-left-radius: 0.8rem;
  border-top-right-radius: 0.8rem;
}

.acrylic-border > *:last-child{
  border-bottom-left-radius: 0.8rem;
  border-bottom-right-radius: 0.8rem;
}

.modal.fade .modal-dialog{
  transition: transform .2s ease-out;
}

.modal.fade:not(.show) .modal-dialog:has(.acrylic-border){
  transform: translateY(5rem) scale(0.8);
}

.modal-header {
  padding-bottom: 0.7rem;
}

.my-modal{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  display: none;
  justify-content: center;
  align-items: center;
  transition: opacity 0.3s ease;
  opacity: 0;
  z-index: 200;
}

.my-modal[show]{
  opacity: 1;
}

.my-modal > .acrylic-border{
  transition: transform 0.3s ease;
  transform: translateY(5rem) scale(0.8);
}

.my-modal[show] > .acrylic-border{
  transform: translateY(0) scale(1);
}

